Name:		libX11
Version:	1.6.9
Release:	2
Summary:	Core X11 protocol client library
License:	MIT
URL:		http://www.x.org
Source0:	https://xorg.freedesktop.org/archive/individual/lib/%{name}-%{version}.tar.bz2

Patch1:         dont-forward-keycode-0.patch

BuildRequires:	xorg-x11-util-macros >= 1.11 xorg-x11-proto-devel perl-Pod-Usage libXau-devel
BuildRequires:  libxcb-devel >= 1.2 libXdmcp-devel xorg-x11-xtrans-devel >= 1.0.3-4

Provides:       %{name}-common = %{version}-%{release}
Obsoletes:      %{name}-common < %{version}-%{release}

Provides:       %{name}-xcb = %{version}-%{release}
Obsoletes:      %{name}-xcb < %{version}-%{release}

%description
Core X11 protocol client library.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for %{name}.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf -ivf
%configure --disable-silent-rules
%make_build

%install
%make_install

mkdir -p $RPM_BUILD_ROOT/var/cache/libX11/compose
%delete_la

%check
make %{?_smp_mflags} check

%ldconfig_scriptlets

%files
%defattr(-,root,root)
%doc AUTHORS
%license COPYING
%{_libdir}/*.so.*
%{_datadir}/X11/locale/*
%{_datadir}/X11/XErrorDB
%dir /var/cache/libX11/compose
%exclude %{_docdir}/*
%exclude %{_datadir}/X11/Xcms.txt

%files          devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/*.so
%{_includedir}/X11/*.h
%{_libdir}/pkgconfig/*.pc
%exclude %{_includedir}/X11/extensions/XKBgeom.h

%files          help
%defattr(-,root,root)
%doc README.md NEWS ChangeLog
%{_mandir}/*/*

%changelog
* Mon Nov 4 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.6.9-2
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:remove the XKBgeom.h

* Fri Nov 1 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.6.9-1
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:update to 1.6.9

* Sat Oct 19 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.6.7-2
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:change the directory of the license file

* Fri Aug 30 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.6.7-1
- Package init
